package urlenc

import "testing"
import "log"

func TestArray(t *testing.T) {
	log.Printf(
		"Array{...}: %s\n",
		Array[int]{
			Name: "id",
			Values: []int{123, 456, 789},
		},
	)
}

func TestJoin(t *testing.T) {
	log.Printf(
		"Join(...): %s",
		Join(
			Array[int]{
				"id",
				[]int{123, 456, 789},
			},
			Value[string]{"somename", "value with '='"},
		).Encode(),
	)
}
